--------------------------------------------------------------------------------
--   _                 _       
--  | |_   _ _ __   __| |_   _ 
--  | | | | | '_ \ / _` | | | |
--  | | |_| | | | | (_| | |_| |
--  |_|\__,_|_| |_|\__,_|\__,_|
--
--  Lundu: a route-based web framework inspired by Dancer and Sinatra
--
--  Copyright (C) 2010, Marc Simpson
--  Licensed under GPLv3 (see LICENSE).
--
--  v0.0.1
--------------------------------------------------------------------------------

lundu = lundu or {}

require "lundu.routes"
require "lundu.serve"
require "lundu.template"
require "lundu.config"
require "lundu.utils"

--------------------------------------------------------------------------------

lundu.start = function()
  lundu.read_config()
  lundu.print_config()
  lundu.xavante()
end

--[ _G Exports ]----------------------------------------------------------------

for k,v in pairs(lundu.routes) do _G[k] = v end

template = lundu.template

--------------------------------------------------------------------------------
