--------------------------------------------------------------------------------
--  Demo 'lundu' site.
--------------------------------------------------------------------------------

require "lundu"

--------------------------------------------------------------------------------
-- Example
--------------------------------------------------------------------------------

lundu.config.layout = "site.tmpl.html"

get["/"]    = function(params)
  return template("index.tmpl.html", {
    got = params.try or "",
    title = "Index"
  })
end

get["/f"]   = function()
  return template("form.tmpl.html", {
    title = "Form"
  })
end

post["/p"]  = function(posted)
  return template("form_reply.tmpl.html", {
    query = posted.query,
    title = "Reply"
  })
end

--------------------------------------------------------------------------------

lundu.start()

--------------------------------------------------------------------------------
